# Class: AnnotationBorderStyle

## AnnotationBorderStyle

#### new AnnotationBorderStyle()

Contains all data regarding an annotation's border style.

Source:
  - core/annotation.js, line 449

### Methods

#### (static) setDashArray(dashArray)

Set the dash array.

##### Parameters:

Name | Type | Description
--- | --- | ---
`dashArray` | Array | The dash array with at least one element

Source:
  - core/annotation.js, line 521

#### (static) setHorizontalCornerRadius(radius)

Set the horizontal corner radius (from a Border dictionary).

##### Parameters:

Name | Type | Description
--- | --- | ---
`radius` | integer | The horizontal corner radius

Source:
  - core/annotation.js, line 557

#### (static) setStyle(style)

Set the style.

##### Parameters:

Name | Type | Description
--- | --- | ---
`style` | Object | The style object

Source:
  - core/annotation.js, line 484
See:
  - shared/util.js

#### (static) setVerticalCornerRadius(radius)

Set the vertical corner radius (from a Border dictionary).

##### Parameters:

Name | Type | Description
--- | --- | ---
`radius` | integer | The vertical corner radius

Source:
  - core/annotation.js, line 571

#### (static) setWidth(width)

Set the width.

##### Parameters:

Name | Type | Description
--- | --- | ---
`width` | integer | The width

Source:
  - core/annotation.js, line 470